Newer Version Available
Get Policy
Output representation of policy details.
- JSON example
- This example shows a sample response when you pass a policy ID in the get policy
request.
1{ 2 “insurancepolicy” : { 3 “id” : “xxxxxxxXxx”, 4 “policyName” : “policyName”, 5 “policyNumber” : “PN-10012”, 6 “universalPolicyNumber” : “TNS-123981”, 7 “effectiveFromDate” : “2023/01/01”, //ISO format - yyyy-mm-dd 8 “effectiveToDate” : “2023/12/31”, 9 .. 10 .. 11 “insurancePolicyCoverages” : [ 12 { 13 “coverageName” : “Collision”, 14 “effectiveFromDate” : “2023/01/01”, 15 “effectiveToDate” : “2023/12/31”, 16 .. 17 .. 18 }, 19 { 20 “coverageName” : “Theft Protection”, 21 “effectiveFromDate” : “2023/01/01”, 22 “effectiveToDate” : “2023/12/31”, 23 .. 24 .. 25 } 26 ] 27 “insurancePolicyAssets” : [ 28 { 29 “assetName” : “Audi A3”, 30 “effectiveFromDate” : “2023/01/01”, 31 “effectiveToDate” : “2023/12/31”, 32 .. 33 .. 34 “insurancePolicyCoverages” : [ 35 { 36 “coverageName” : “Collision”, 37 “effectiveFromDate” : “2023/01/01”, 38 “effectiveToDate” : “2023/12/31”, 39 .. 40 .. 41 }, 42 { 43 “coverageName” : “Theft Protection”, 44 “effectiveFromDate” : “2023/01/01”, 45 “effectiveToDate” : “2023/12/31”, 46 .. 47 .. 48 } 49 ] 50 }, 51 { 52 “assetName” : “Audi A4”, 53 “effectiveFromDate” : “2023/01/01”, 54 “effectiveToDate” : “2023/12/31”, 55 .. 56 .. 57 “insurancePolicyCoverages” : [ 58 { 59 “coverageName” : “Collision”, 60 “effectiveFromDate” : “2023/01/01”, 61 “effectiveToDate” : “2023/12/31”, 62 .. 63 .. 64 }, 65 { 66 “coverageName” : “Theft Protection”, 67 “effectiveFromDate” : “2023/01/01”, 68 “effectiveToDate” : “2023/12/31”, 69 .. 70 .. 71 } 72 ] 73 } 74 ] 75 } 76} - This example shows a sample response when you pass the contextOnly query parameter as true in the request. When the
contextOnly parameter is true, the
API returns a context ID along with the insurance policy
details.
1{ 2 "contexId": "e02036acf464f323f197c200895fec48a6a62ae3c711b3603609f08817c4af48 3", 4 "insurancePolicy": {} 5} - This example shows a sample response when expand[attributes] query parameter is set to
true.
1{ 2 "insurancePolicy": { 3 "effectiveFromDate": "2024-01-01", 4 "effectiveToDate": "2024-09-29", 5 "originalEffectiveFromDate": "2024-01-01", 6 "originalEffectiveToDate": "2024-12-31", 7 "active": true, 8 .... 9.... 10 "grossWrittenPremium": 1678.28, 11 "insurancePolicyAssets": [ 12 { 13 "effectiveFromDate": "2024-01-01", 14 "effectiveToDate": "2024-09-29", 15 "assetName": "Auto Bundle", 16 "id": "0YWSG0000000N4f4AE", 17 .... 18 .... 19 "insurancePolicyAssets": [], 20 "insurancePolicyParticipants": [ 21 { 22 "effectiveFromDate": "2024-01-01", 23 "effectiveToDate": "2024-09-29", 24 "id": "0aoSG000000sNvhYAE", 25 .... 26 .... 27 "insurancePolicyAssets": [], 28 "insurancePolicyCoverages": [], 29 "insurancePolicyParticipants": [], 30 "insurancePolicyParticipantAttributes": [ 31 { 32 "id": "19USG0000004r382AA", 33 "attributeDefinitionId": "0tjSG00000049D8YAI", 34 "attributeName": "DriverAccidents", 35 "attributeValue": "2.0", 36 "insurancePolicyParticipantId": "0aoSG000000sNvhYAE" } 37 ], 38 "additionalFields": {} 39 } 40 ], 41 "insurancePolicyCoverages": [ 42 { 43 "coverageName": "Comprehensive", 44 "id": "0cYSG0000005gt32AA", 45 "insurancePolicyAssetId": "0YWSG0000000N4f4AE", 46 "insurancePolicyId": "0YTSG000000233R4AQ", 47 "name": "IPC-00000034", 48 .... 49 .... 50 "insurancePolicyCoverageAttributes": [ 51 { 52 "id": "19VSG0000004r2w2AA", 53 "attributeDefinitionId": "0tjSG00000049DjYAI", 54 "attributeName": "LimitBI", 55 "attributeValue": "100", 56 "insurancePolicyCoverageId": "0cYSG0000005gt32AA" 57 }, 58 .... 59 .... 60 { 61 "id": "19VSG0000004r342AA", 62 "attributeDefinitionId": "0tjSG00000049DXYAY", 63 "attributeName": "RentalNumDays", 64 "attributeValue": "10", 65 "insurancePolicyCoverageId": "0cYSG0000005gt32AA" 66 } 67 ], 68 "additionalFields": {} 69 } 70 ], 71 "insurancePolicyAssetAttributes": [ 72 { 73 "id": "19QSG0000004r2X2AQ", 74 "attributeDefinitionId": "0tjSG00000049E4YAI", 75 "attributeName": "Body Type", 76 "attributeValue": "NA", 77 "insurancePolicyAssetId": "0YWSG0000000N4f4AE" 78 }, 79 .... 80 .... 81 { 82 "id": "19QSG0000004r2Y2AQ", 83 "attributeDefinitionId": "0tjSG00000049DIYAY", 84 "attributeName": "Alternative Fuel", 85 "attributeValue": "NA", 86 "insurancePolicyAssetId": "0YWSG0000000N4f4AE" 87 } 88 ], 89 "additionalFields": {} 90 } 91 ], 92 "additionalFields": {} 93 } 94} - This example shows a sample response for the get policy request with additional
fields. The request returns a list of field-set IDs when the operator is
$in and a single field-set ID when
the operator is $eq.
1// GET /connect/insurance/policies/0YTSG000000233R4AQ?_qs=expand[additionalFields][fieldSet][$in]=0IXSG000001ADt34AG,0IXSG000001AUqf4AG,0IXSG000001AUp34AG,0IXSG000001AUsH4AW 2 3 4{ 5 "insurancePolicy": { 6 "effectiveFromDate": "2024-01-01", 7 "effectiveToDate": "2024-09-29", 8 .... 9 .... 10 "insurancePolicyAssets": [ 11 { 12 "effectiveFromDate": "2024-01-01", 13 "effectiveToDate": "2024-09-29", 14 "assetName": "Auto Bundle", 15 "id": "0YWSG0000000N4f4AE", 16 "assetCode": "BMW", 17 .... 18 "insurancePolicyAssets": [], 19 "insurancePolicyParticipants": [ 20 { 21 "effectiveFromDate": "2024-01-01", 22 "effectiveToDate": "2024-09-29", 23 "id": "0aoSG000000sNvhYAE", 24 "insurancePolicyId": "0YTSG000000233R4AQ", 25 "name": "IPP-00000032", 26 .... 27 .... 28 29 "insurancePolicyParticipantAttributes": [], 30 "additionalFields": { 31 "InsurancePolicyId": "0YTSG000000233R4AQ", 32 "EffectiveFromDate": "2024-01-01", 33 "Id": "0aoSG000000sNvhYAE" 34 }, 35 } 36 ], 37 "insurancePolicyCoverages": [ 38 { 39 "coverageName": "Comprehensive", 40 "id": "0cYSG0000005gt32AA", 41 "insurancePolicyAssetId": "0YWSG0000000N4f4AE", 42 .... 43 44 }, 45 "insurancePolicyCoverageAttributes": [], 46 "additionalFields": { 47 "CoverageName": "Comprehensive", 48 "Id": "0cYSG0000005gt32AA" 49 } 50 } 51 ], 52 "insurancePolicyAssetAttributes": [], 53 "additionalFields": { 54 "Name": "IPA-00000035" 55 } 56 } 57 ], 58 "additionalFields": { 59 "CheckboxField__c": true, 60 "EffectiveFromDate": "2024-01-01", 61 "Name": "Admin User Policy001" 62 } 63 } 64}
| Property Name | Type | Description | Filter Group and Version | Available Version |
|---|---|---|---|---|
| contextId | String | ID of the context. | Small, 63.0 | 63.0 |
| error | Error Response | List of errors encountered during the processing of the API request. | Small, 63.0 | 63.0 |
| insurancePolicy | Map<String, Object> | Details of insurance policy. | Small, 63.0 | 63.0 |